Package io.dapr.v1

# Class DaprGrpc.DaprStub

java.lang.Object
io.grpc.stub.AbstractStub<DaprGrpc.DaprStub>
io.dapr.v1.DaprGrpc.DaprStub

Enclosing class:
  DaprGrpc

    public static final class DaprGrpc.DaprStub
    extends io.grpc.stub.AbstractStub<DaprGrpc.DaprStub>

     Dapr service provides APIs to user application to access Dapr building blocks.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected DaprGrpc.DaprStub` | `build​(io.grpc.Channel channel, io.grpc.CallOptions callOptions)` |
  `void` | `deleteState​(DaprProtos.DeleteStateRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)` | Deletes the state for a specific key.
  `void` | `executeStateTransaction​(DaprProtos.ExecuteStateTransactionRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)` | Executes transactions for a specified store
  `void` | `getBulkState​(DaprProtos.GetBulkStateRequest request, io.grpc.stub.StreamObserver<DaprProtos.GetBulkStateResponse> responseObserver)` | Gets a bulk of state items for a list of keys
  `void` | `getSecret​(DaprProtos.GetSecretRequest request, io.grpc.stub.StreamObserver<DaprProtos.GetSecretResponse> responseObserver)` | Gets secrets from secret stores.
  `void` | `getState​(DaprProtos.GetStateRequest request, io.grpc.stub.StreamObserver<DaprProtos.GetStateResponse> responseObserver)` | Gets the state for a specific key.
  `void` | `invokeBinding​(DaprProtos.InvokeBindingRequest request, io.grpc.stub.StreamObserver<DaprProtos.InvokeBindingResponse> responseObserver)` | Invokes binding data to specific output bindings
  `void` | `invokeService​(DaprProtos.InvokeServiceRequest request, io.grpc.stub.StreamObserver<CommonProtos.InvokeResponse> responseObserver)` | Invokes a method on a remote Dapr app.
  `void` | `publishEvent​(DaprProtos.PublishEventRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)` | Publishes events to the specific topic.
  `void` | `saveState​(DaprProtos.SaveStateRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)` | Saves the state for a specific key.

  ### Methods inherited from class io.grpc.stub.AbstractStub

  `getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### build

    protected DaprGrpc.DaprStub build​(io.grpc.Channel channel, io.grpc.CallOptions callOptions)
    Specified by:
      `build` in class `io.grpc.stub.AbstractStub<DaprGrpc.DaprStub>`

  - ### invokeService

    public void invokeService​(DaprProtos.InvokeServiceRequest request, io.grpc.stub.StreamObserver<CommonProtos.InvokeResponse> responseObserver)

         Invokes a method on a remote Dapr app.

  - ### getState

    public void getState​(DaprProtos.GetStateRequest request, io.grpc.stub.StreamObserver<DaprProtos.GetStateResponse> responseObserver)

         Gets the state for a specific key.

  - ### getBulkState

    public void getBulkState​(DaprProtos.GetBulkStateRequest request, io.grpc.stub.StreamObserver<DaprProtos.GetBulkStateResponse> responseObserver)

         Gets a bulk of state items for a list of keys

  - ### saveState

    public void saveState​(DaprProtos.SaveStateRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Saves the state for a specific key.

  - ### deleteState

    public void deleteState​(DaprProtos.DeleteStateRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Deletes the state for a specific key.

  - ### executeStateTransaction

    public void executeStateTransaction​(DaprProtos.ExecuteStateTransactionRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Executes transactions for a specified store

  - ### publishEvent

    public void publishEvent​(DaprProtos.PublishEventRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Publishes events to the specific topic.

  - ### invokeBinding

    public void invokeBinding​(DaprProtos.InvokeBindingRequest request, io.grpc.stub.StreamObserver<DaprProtos.InvokeBindingResponse> responseObserver)

         Invokes binding data to specific output bindings

  - ### getSecret

    public void getSecret​(DaprProtos.GetSecretRequest request, io.grpc.stub.StreamObserver<DaprProtos.GetSecretResponse> responseObserver)

         Gets secrets from secret stores.